import Vue from 'vue'
import VueRouter from 'vue-router'
import Home from '../views/Home.vue'
import News from '../views/News'
import CoursAlgo from '../views/CoursAlgo'
import InfoCours from '../views/InfoCours'
import ContactAlgo from '../views/ContactAlgo'
import CoursJava from "@/views/CoursJava";
import ContactJava from "@/views/ContactJava";

Vue.use(VueRouter)


const routes = [
  {
    path:'/home',
    components: {
      locCentral : Home,
      locUp : News,
    }
  },
  {
    path:'/cours/algo',
    components: {
      locCentral : CoursAlgo,
      locUp : InfoCours,
      locDown : ContactAlgo
    }
  },
  {
    path:'/cours/java',
    components: {
      locCentral : CoursJava,
      locUp : InfoCours,
      locDown : ContactJava
    }
  }
]

const router = new VueRouter({
  mode: 'history',
  base: process.env.BASE_URL,
  routes
})

export default router
